Main Page Modules Class Hierarchy Compound List File List Compound Members File Members

# Stream_mixer output channels

## Detailed Description

The following methods are implemented in the Stream_mixer class and can be used to control output channels (OutChannel class).

Registered Outchannels are automatically feeded by the Stream_mixer thru buffered and threadsafe FIFO pipes (Pipe class) also every outchannel is running on his own thread.

/ Internals: The superclass OutChannel wraps around two components: the Encoder, and the Shouter. The Encoder is internally implementing a Codec.

## Functions
int | create_enc (enum codec enc)
| Create a new OutChannel encoder channel.
void | delete_enc (int id)
| Delete an OutChannel encoder (discards ID).
OutChannel * | get_enc (int id)
| Returns the OutChannel instance with the given ID.
bool | apply_enc (int id)
| apply the current OutChannel configuration

## Function Documentation

bool Stream_mixer::apply_enc | ( | int | id | ) | `[inherited]`

  | apply the current OutChannel configuration If any setting has been changed on the OutChannel, then this function must be called to apply them (works while running) Parameters:
  id | the ID of the encoder
Returns: true on success, false otherwise Definition at line 880 of file jmixer.cpp.

int Stream_mixer::create_enc | ( | enum codec | enc | ) | `[inherited]`

  | Create a new OutChannel encoder channel. The encoder channel is given back to the calling process in the form of a numeric (int) ID number. That number can be used as a reference to obtain back the Outchannel instance created. Internally this function starts up the Encoder thread and initialize its buffers for the Codec selected. Parameters:
  enc | can be MP3 or OGG (see enum codec in outchannels.h)
Returns: id the ID of the encoder, -1 on error Definition at line 811 of file jmixer.cpp.

void Stream_mixer::delete_enc | ( | int | id | ) | `[inherited]`

  | Delete an OutChannel encoder (discards ID). Parameters:
  id | the ID of the OutChannel to destroy.
Definition at line 853 of file jmixer.cpp.

OutChannel * Stream_mixer::get_enc | ( | int | id | ) | `[inherited]`

  | Returns the OutChannel instance with the given ID. This function is used to obtain an OutChannel direct pointer to be able to configure it thru its public methods and properties. Parameters:
  id | the ID of the encoder
Returns: a pointer to the OutChannel class instance with ID Definition at line 876 of file jmixer.cpp.